<div class="chat-container" *ngIf="data">

  <div *ngIf="!isHistoryEmpty; else placeholder" class="history-container">
    <h3 class="contact-title">
      <span> {{ data?.contact?.fullName }} </span>
    </h3>
    <chat-history [data]="data"></chat-history>
  </div>

  <ng-template #placeholder>
    <chat-placeholder [contact]="data?.contact"></chat-placeholder>
  </ng-template>

  <chat-input (sent)="sentMessage($event)"></chat-input>
</div>